package com.happy.Model;

import java.util.List;

/**
 * @Description  
 * @Author  raojiaolong
 * @String 2023-07-29 
 */

public class AdminManager {


	/**
	 * id
	 */
	private Integer id;


	/**
	 * 1.银宿级 2.金宿级 3.白金级
	 */
	private Integer type;

	/**
	 * 全景链接
	 */
	private String linkProUrl;


	/**
	 * 所属商家Id
	 */
	private Integer managerId;

	/**
	 * 账号
	 */
	private String adminName;

	/**
	 * 密码
	 */
	private String password;

	/**
	 * 民宿名称
	 */
	private String hotelName;

	/**
	 * 所属乡镇
	 */
	private String hotelTownship;

	/**
	 * 所属乡镇
	 */
	private String hotelTownshipName;

	/**
	 * 法人姓名
	 */
	private String corpnName;

	/**
	 * 法人电话
	 */
	private String corpnPhone;

	/**
	 * 权限（1管理员,2超级管理员）
	 */
	private String level;

	/**
	 * 菜单权限管理
	 */
	private String adminPower;

	/**
	 * 银行卡号
	 */
	private Long bankCard;

	/**
	 * 卡户主姓名
	 */
	private String cardName;

	/**
	 * 银行名称
	 */
	private String bankName;

	/**
	 * 创建人
	 */
	private Integer createId;

	/**
	 * 创建时间
	 */
	private String createDate;

	/**
	 * 修改时间
	 */
	private String modifyDate;

	/**
	 * 数据状态
	 */
	private Integer status;

	/**
	 * 备注\
	 */
	private String remark;

	/**
	 * 营业执照
	 */
	private List<FileInfo> fileInfoList;

	public String openid;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getLinkProUrl() {
		return linkProUrl;
	}

	public void setLinkProUrl(String linkProUrl) {
		this.linkProUrl = linkProUrl;
	}

	public Integer getManagerId() {
		return managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

	public String getAdminName() {
		return adminName;
	}

	public void setAdminName(String adminName) {
		this.adminName = adminName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getHotelName() {
		return hotelName;
	}

	public void setHotelName(String hotelName) {
		this.hotelName = hotelName;
	}

	public String getHotelTownship() {
		return hotelTownship;
	}

	public void setHotelTownship(String hotelTownship) {
		this.hotelTownship = hotelTownship;
	}

	public String getHotelTownshipName() {
		return hotelTownshipName;
	}

	public void setHotelTownshipName(String hotelTownshipName) {
		this.hotelTownshipName = hotelTownshipName;
	}

	public String getCorpnName() {
		return corpnName;
	}

	public void setCorpnName(String corpnName) {
		this.corpnName = corpnName;
	}

	public String getCorpnPhone() {
		return corpnPhone;
	}

	public void setCorpnPhone(String corpnPhone) {
		this.corpnPhone = corpnPhone;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getAdminPower() {
		return adminPower;
	}

	public void setAdminPower(String adminPower) {
		this.adminPower = adminPower;
	}

	public Long getBankCard() {
		return bankCard;
	}

	public void setBankCard(Long bankCard) {
		this.bankCard = bankCard;
	}

	public String getCardName() {
		return cardName;
	}

	public void setCardName(String cardName) {
		this.cardName = cardName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public Integer getCreateId() {
		return createId;
	}

	public void setCreateId(Integer createId) {
		this.createId = createId;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getModifyDate() {
		return modifyDate;
	}

	public void setModifyDate(String modifyDate) {
		this.modifyDate = modifyDate;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public List<FileInfo> getFileInfoList() {
		return fileInfoList;
	}

	public void setFileInfoList(List<FileInfo> fileInfoList) {
		this.fileInfoList = fileInfoList;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}
}
